Index: palm/trunk/SOURCE/temperton_fft_mod.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3724)
+++ palm/trunk/SOURCE/temperton_fft_mod.f90	(revision 3725)
@@ -1241,5 +1285,4 @@
     IMPLICIT NONE
 
-    !  Scalar arguments 
     INTEGER(iwp) ::  ierr !< 
     INTEGER(iwp) ::  ifac !< 
@@ -1251,6 +1294,6 @@
     INTEGER(iwp) ::  lot  !< 
     INTEGER(iwp) ::  n    !< 
-
-    !  Array arguments 
+!
+!-- Arrays are dimensioned with n
     REAL(wp) ::  a(*)     !< 
     REAL(wp) ::  b(*)     !< 
@@ -1259,5 +1302,4 @@
     REAL(wp) ::  trigs(*) !< 
 
-    !  Local scalars: 
     REAL(wp) ::  c1     !< 
     REAL(wp) ::  c2     !< 
@@ -1284,5 +1326,4 @@
     INTEGER(iwp) ::  ia    !< 
     INTEGER(iwp) ::  ib    !< 
-    INTEGER(iwp) ::  ibad  !< 
     INTEGER(iwp) ::  ibase !< 
     INTEGER(iwp) ::  ic    !< 
@@ -1315,5 +1356,4 @@
     INTEGER(iwp) ::  m     !< 
 
-    !  Local arrays: 
     REAL(wp) ::  a10(nfft) !< 
     REAL(wp) ::  a11(nfft) !< 
